Summary:       Programs for backing up and restoring filesystems
Name:          dump
Version:       0.4b47
Release:       4%{?dist}
License:       BSD
URL:           https://sourceforge.net/projects/dump/
Source:        http://downloads.sourceforge.net/dump/dump-%{version}.tar.gz

Patch3000:     dump-buildfix.patch
Patch3001:     dump-remove-lzo.patch
Patch3002:     dump-apath.patch

BuildRequires: automake make libtool
BuildRequires: zlib-devel bzip2-devel device-mapper-devel libselinux-devel lzo-minilzo lzo-devel
BuildRequires: e2fsprogs-devel >= 1.18
BuildRequires: readline-devel >= 4.2
Requires:      setup rmt
Provides:      dump-static

%description
Dump examines files in a filesystem, ddump-staticetermines which ones need
to be backed up, and copies those files to a specified disk, tape
or other storage medium. The restore command performs the inverse
function of dump.

%prep
%autosetup -n dump-%{version} -p1

%build
autoreconf -fiv

export CFLAGS="%{optflags} -Wall -Wpointer-arith -Wstrict-prototypes \
-Wmissing-prototypes -Wno-char-subscripts -fno-strict-aliasing"

%configure --disable-static \
    --enable-transselinux \
    --enable-largefile \
    --disable-rmt \
    --enable-qfa \
    --enable-readline \
    --with-binmode=0755 \
    --with-manowner=root \
    --with-mangrp=root \
    --with-manmode=0644

%make_build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_mandir}/man8
%make_install \
    SBINDIR=%{buildroot}%{_sbindir} \
    BINDIR=%{buildroot}%{_sbindir} \
    MANDIR=%{buildroot}%{_mandir}/man8 \
    BINOWNER=$(id -un) \
    BINGRP=$(id -gn) \
    MANOWNER=$(id -un) \
    MANGRP=$(id -gn)
pushd %{buildroot}
    ln -sf dump .%{_sbindir}/rdump
    ln -sf restore .%{_sbindir}/rrestore
    mkdir -p .%{_sysconfdir}
    > .%{_sysconfdir}/dumpdates
popd

%files
%license COPYING
%doc AUTHORS INSTALL KNOWNBUGS MAINTAINERS NEWS README REPORTING-BUGS TODO
%doc dump.lsm
%attr(0664,root,disk) %config(noreplace) %{_sysconfdir}/dumpdates
%{_sbindir}/dump
%{_sbindir}/rdump
%{_sbindir}/restore
%{_sbindir}/rrestore
%{_mandir}/man8/dump.8*
%{_mandir}/man8/rdump.8*
%{_mandir}/man8/restore.8*
%{_mandir}/man8/rrestore.8*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4b47-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4b47-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4b47-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Sep 05 2022 ZoeDong <zoedong@tencent.com> - 0.4b47-1
- Initial build

